Delphi Pages Forums  

Go Back   Delphi Pages Forums > Delphi Forum > Kylix

Lost Password?

Reply
 
Thread Tools Display Modes
  #1  
Old 08-23-2005, 10:54 PM
dogriz dogriz is offline
Junior Member
 
Join Date: Aug 2005
Posts: 4
Default Kylix 3 on SuSE Linux 9.3?

I have installed Kylix 3 on SuSE Linux 9.3 and when I try to run it, the following message appears:
Quote:
Note: Please start the Delphi portion of Kylix with the startdelphi command.
/home/userx/kylix3/bin/Delphi: relocation error: /home/userx/kylix3/bin/libwine.borland.so symbol errno, version GLIBC_2.0 not defined in file libc.so.6 with link time reference
How can I solve this problem? (I am a Linux rookie...)

Tnx

carpe diem
Reply With Quote
  #2  
Old 08-23-2005, 11:04 PM
crustyDOD crustyDOD is offline
Senior Member
 
Join Date: Apr 2001
Posts: 560
Default RE: Kylix 3 on SuSE Linux 9.3?

type StartDelphi (startdelphi) in console and see if you still get errors

Hope it helps...

<cb>CrustyDOD</cb>
Reply With Quote
  #3  
Old 08-23-2005, 11:10 PM
crustyDOD crustyDOD is offline
Senior Member
 
Join Date: Apr 2001
Posts: 560
Default RE: Kylix 3 on SuSE Linux 9.3?

http://qc.borland.com/wc/qcmain.aspx?d=6339

Kylix 3:1st problem: startdelphi gives /usr/local/kylix3/bin/delphi: relocation error: /usr/local/kylix3/bin/libwine.borland.so: symbol errno, version GLIBC_2.0 not defined in file libc.so.6 with link time reference. Solution: Add to startscripts in /usr/local/share/kylix3 (files registerkylix, startdelphi and startbcb) right after /bin/bash!: export LD_ASSUME_KERNEL= 2.2.5. Also check locale in these files.
2nd problem: YaST-Software-Update complains about missing library libpq.so.2. You have to install PostgreSQL-librarys and add the following symbolic link: ln -s /usr/lib/libpq.so.3 libpq.so.2.

Hope it helps...

<cb>CrustyDOD</cb>
Reply With Quote
  #4  
Old 08-24-2005, 12:45 AM
dogriz dogriz is offline
Junior Member
 
Join Date: Aug 2005
Posts: 4
Default RE: Kylix 3 on SuSE Linux 9.3?

that is the exact place where error ocures

carpe diem
Reply With Quote
  #5  
Old 08-24-2005, 08:29 AM
dogriz dogriz is offline
Junior Member
 
Join Date: Aug 2005
Posts: 4
Default RE: Kylix 3 on SuSE Linux 9.3?

OK, here's what happens when I use "export LD_ASSUME_KERNEL=2.2.5":
Kylix starts, but there are is no text on screen, no menus, code window is gray, object inspector is empty... In one word unusable.

"export LD_ASSUME_KERNEL=2.4.0" - the same result
"export LD_ASSUME_KERNEL=2.4.21" - displays error window (but again - no text, window is "damaged"...)

Some ideas?

carpe diem
Reply With Quote
  #6  
Old 08-25-2005, 04:18 PM
dogriz dogriz is offline
Junior Member
 
Join Date: Aug 2005
Posts: 4
Default RE: Kylix 3 on SuSE Linux 9.3?

I don't know what this means but I gues it will help someone to help me:
Quote:
....> ./setup.sh

BORLAND KYLIX 3

Checking dependencies...
Kernel version >= 2.2.0...OK
Glibc version >= 2.1.2....OK
X11 Server....OK
Libjpeg version >= 6.2.0....OK
Libgtk version >= 1.2.0....OK

/home/userx/.kde/share/config/gtkrc:37: error: unexpected identifier 'gtk-alternative-button-order', expected keyword - e.g. 'style'
after this I get Licence Agreement window and installation continues and ends correctly.
After I add that "export LD_ASSUME_KERNEL=2.4.0" row, Kylix starts the way I described before.
I tried to change Display Themes (e.g. Plastic, Keramik, KDE default) and always was similar result. Same situation with Gnome. For some themes I even get an error message (unreadable because there is no text in window) and Kylix doesn't even start.

I can just say: Help.

carpe diem
Reply With Quote
  #7  
Old 03-20-2010, 05:51 PM
MarkFillipos MarkFillipos is offline
Junior Member
 
Join Date: Mar 2010
Location: Croatia
Posts: 3
Send a message via ICQ to MarkFillipos
Default Kylix 3 on SuSE Linux 9 3

Aircontrol is working on suse linux? If so, where can I find a tutorial for installing that tarball?I did not find any docs about installing it : Im working in console mode into my suse box and I find very hard to use a new software that has no README or INSTALL notice.I have tried in Slackware and still nothing, and Windows 7 where I need JRE installed.
Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT. The time now is 08:33 AM.


Powered by vBulletin® Version 3.8.8
Copyright ©2000 - 2019, vBulletin Solutions, Inc.